Package org.mariadb.jdbc.client.context

## Class RedoContext

- java.lang.Object
- - org.mariadb.jdbc.client.context.BaseContext
  - - org.mariadb.jdbc.client.context.RedoContext

All Implemented Interfaces:
  `org.mariadb.jdbc.client.Context`

    public class RedoContext
    extends BaseContext

Redo addition to Context

### Field Summary

### Fields inherited from class org.mariadb.jdbc.client.context.BaseContext

`serverStatus`

### Constructor Summary

Constructors
`RedoContext​(InitialHandshakePacket handshake, long clientCapabilities, Configuration conf, ExceptionFactory exceptionFactory, org.mariadb.jdbc.client.PrepareCache prepareCache)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`TransactionSaver` `getTransactionSaver()` Get transaction saver cache
`void` `saveRedo​(org.mariadb.jdbc.message.ClientMessage msg)` Save client message
`void` `saveRedo​(org.mariadb.jdbc.message.ClientMessage[] msgs)` Save client messages
`void` `setServerStatus​(int serverStatus)` Set server status

### Methods inherited from class org.mariadb.jdbc.client.context.BaseContext

`addStateFlag, canSkipMeta, getConf, getDatabase, getExceptionFactory, getPrepareCache, getSeed, getServerCapabilities, getServerStatus, getStateFlag, getThreadId, getTransactionIsolationLevel, getVersion, getWarning, isEofDeprecated, isExtendedInfo, resetPrepareCache, resetStateFlag, setDatabase, setTransactionIsolationLevel, setWarning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedoContext

    public RedoContext​(InitialHandshakePacket handshake,
                       long clientCapabilities,
                       Configuration conf,
                       ExceptionFactory exceptionFactory,
                       org.mariadb.jdbc.client.PrepareCache prepareCache)

Constructor

Parameters:
  `handshake` - server handshake
  `clientCapabilities` - client capabilities
  `conf` - configuration
  `exceptionFactory` - connection exception factory
  `prepareCache` - LRU prepare cache

### Method Detail

#### setServerStatus

    public void setServerStatus​(int serverStatus)

Set server status

Specified by:
  `setServerStatus` in interface `org.mariadb.jdbc.client.Context`
Overrides:
  `setServerStatus` in class `BaseContext`
Parameters:
  `serverStatus` - server status

#### saveRedo

    public void saveRedo​(org.mariadb.jdbc.message.ClientMessage msg)

Save client message

Parameters:
  `msg` - client message

#### saveRedo

    public void saveRedo​(org.mariadb.jdbc.message.ClientMessage[] msgs)

Save client messages

Parameters:
  `msgs` - client messages

#### getTransactionSaver

    public TransactionSaver getTransactionSaver()

Get transaction saver cache

Returns:
  transaction saver cache